## visad.data.mcidas
Class MapForm

    java.lang.Object
      visad.data.FormNode
          visad.data.Form
              visad.data.mcidas.MapForm

All Implemented Interfaces:
  FormFileInformer

public class MapForm
extends Form
implements FormFileInformer

MapForm is the Map data format adapter for serialized visad.Data objects.

Field Summary

Fields inherited from class visad.data.Form
`mathType`

Constructor Summary
`MapForm()` Construct a Form for reading in McIDAS map files

Method Summary
`void` `add(String id, Data data, boolean replace)` Add data to an existing data object
`String[]` `getDefaultSuffixes()` Get a list of default suffixes for McIDAS map files
`FormNode` `getForms(Data data)` Return the data forms that are compatible with a data object
`boolean` `isThisType(byte[] block)` Determines if this is a McIDAS map file from the starting block
`boolean` `isThisType(String name)` Determines if this is a McIDAS map file from the name
`DataImpl` `open(String id)` Open the file specified by the string
`DataImpl` `open(URL url)` Open the file specified by the URL
`void` `save(String id, Data data, boolean replace)` Save a VisAD data object in this form

Methods inherited from class visad.data.Form
`getMathType`

Methods inherited from class visad.data.FormNode
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapForm

    public MapForm()

  Construct a Form for reading in McIDAS map files

Method Detail

### isThisType

    public boolean isThisType(String name)

  Determines if this is a McIDAS map file from the name

  Specified by:
    `isThisType` in interface `FormFileInformer`
  Parameters:
    `name` - name of the file
  Returns:
    true if it matches the pattern for McIDAS map files (OUTL*)

### isThisType

    public boolean isThisType(byte[] block)

  Determines if this is a McIDAS map file from the starting block

  Specified by:
    `isThisType` in interface `FormFileInformer`
  Parameters:
    `block` - block of data to check
  Returns:
    false - there is no identifying block in a McIDAS map file

### getDefaultSuffixes

    public String[] getDefaultSuffixes()

  Get a list of default suffixes for McIDAS map files

  Specified by:
    `getDefaultSuffixes` in interface `FormFileInformer`
  Returns:
    valid list of suffixes

### save

    public void save(String id,
                     Data data,
                     boolean replace)
              throws BadFormException,
                     IOException,
                     RemoteException,
                     VisADException

  Save a VisAD data object in this form

  Specified by:
    `save` in class `FormNode`
  Throws:
    `UnimplementedException` - - can't be done yet.
    `BadFormException`
    `IOException`
    `RemoteException`
    `VisADException`

### add

    public void add(String id,
                    Data data,
                    boolean replace)
             throws BadFormException

  Add data to an existing data object

  Specified by:
    `add` in class `FormNode`
  Throws:
    `BadFormException`

### open

    public DataImpl open(String id)
                  throws BadFormException,
                         IOException,
                         VisADException

  Open the file specified by the string

  Specified by:
    `open` in class `FormNode`
  Parameters:
    `id` - string representing the path to the file
  Returns:
    a Data object representing the map lines.
  Throws:
    `BadFormException`
    `IOException`
    `VisADException`

### open

    public DataImpl open(URL url)
                  throws BadFormException,
                         VisADException,
                         IOException

  Open the file specified by the URL

  Specified by:
    `open` in class `FormNode`
  Returns:
    a Data object representing the map lines.
  Throws:
    `BadFormException`
    `VisADException`
    `IOException`

### getForms

    public FormNode getForms(Data data)

  Return the data forms that are compatible with a data object

  Specified by:
    `getForms` in class `FormNode`
  Returns:
    null